<template>
  <u-modal
    :title="title"
    :width="width"
    :visible="visible"
    contentFull
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <upkeep-plan-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></upkeep-plan-form>
  </u-modal>
</template>

<script>

  import UpkeepPlanForm from './UpkeepPlanForm'
  export default {
    name: 'UpkeepPlanModal',
    components: {
      UpkeepPlanForm
    },
    data () {
      return {
        title:'',
        width:1200,
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>